/**注册组件绑定关系。本脚本为自动生成，每次生成会覆盖！请勿手动修改，生成插件文档及项目地址：https://git.whoot.com/whoot-games/whoot.fguieditorplugin**/

using FairyGUI;

namespace NBF
{
    public static class MainBinder
    {
        [UIExtensionAutoBind]
        public static void BindAll()
        {
            UIObjectFactory.SetPackageItemExtension(IntroduceTag.URL, typeof(IntroduceTag));
            UIObjectFactory.SetPackageItemExtension(HomeMainPage.URL, typeof(HomeMainPage));
            UIObjectFactory.SetPackageItemExtension(HomeActivityPage.URL, typeof(HomeActivityPage));
            UIObjectFactory.SetPackageItemExtension(HomeRankPage.URL, typeof(HomeRankPage));
            UIObjectFactory.SetPackageItemExtension(HomeStatisticsPage.URL, typeof(HomeStatisticsPage));
            UIObjectFactory.SetPackageItemExtension(HomeButtonGroups.URL, typeof(HomeButtonGroups));
            UIObjectFactory.SetPackageItemExtension(SettingItem.URL, typeof(SettingItem));
            UIObjectFactory.SetPackageItemExtension(ChatItem.URL, typeof(ChatItem));
            UIObjectFactory.SetPackageItemExtension(BagGearItem.URL, typeof(BagGearItem));
            UIObjectFactory.SetPackageItemExtension(ItemDetailsContent.URL, typeof(ItemDetailsContent));
            UIObjectFactory.SetPackageItemExtension(ItemBasicInfoTag.URL, typeof(ItemBasicInfoTag));
            UIObjectFactory.SetPackageItemExtension(ItemGearInfoTag.URL, typeof(ItemGearInfoTag));
            UIObjectFactory.SetPackageItemExtension(ShopGearItem.URL, typeof(ShopGearItem));
            UIObjectFactory.SetPackageItemExtension(BagSlotItem.URL, typeof(BagSlotItem));
            UIObjectFactory.SetPackageItemExtension(BagItem.URL, typeof(BagItem));
        }
    }
}